scim::Module Class Reference
Accessories

`#include <scim_module.h>`

## Public Member Functions

| Module ()
| Module (const String &name, const String &type)
| ~Module ()
bool | load (const String &name, const String &type)
bool | unload ()
bool | valid () const
bool | is_resident () const
bool | make_resident () const
String | get_path () const
void * | symbol (const String &sym) const

## Protected Member Functions

void | init ()

## Constructor & Destructor Documentation

## Module() [1/2]

scim::Module::Module | ( |  | ) |

## Module() [2/2]

scim::Module::Module | ( | const String & | name,
|  | const String & | type )

## ~Module()

scim::Module::~Module | ( |  | ) |

## Member Function Documentation

## load()

bool scim::Module::load | ( | const String & | name,
|  | const String & | type )

## unload()

bool scim::Module::unload | ( |  | ) |

## valid()

bool scim::Module::valid | ( |  | ) | const

## is_resident()

bool scim::Module::is_resident | ( |  | ) | const

## make_resident()

bool scim::Module::make_resident | ( |  | ) | const

## get_path()

String scim::Module::get_path | ( |  | ) | const

## symbol()

void * scim::Module::symbol | ( | const String & | sym | ) | const

## init()

void scim::Module::init | ( |  | ) |

protected

The documentation for this class was generated from the following file:

- scim_module.h